-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2012 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 
CREATE TABLE UMS_FIRMWARE (MANAGED_OBJ_ID   INTEGER NOT NULL,Name   CHAR(250) NOT NULL,Manufacturer   CHAR(254),Description   CHAR(254),Version   CHAR(64),BuildNumber   CHAR(64),BuildProductIDType   CHAR(25),BuildNoSuffix   CHAR(25),Classification   CHAR(6),Node   INTEGER, CONSTRAINT UMS_FIRMWAREQ PRIMARY KEY ( MANAGED_OBJ_ID,   Name ) );
CREATE TABLE TWG_SYSTEM_USER (MANAGED_OBJ_ID   INTEGER NOT NULL,FIRST_NAME   CHAR(32),MIDDLE_NAME   CHAR(32),LAST_NAME   CHAR(32),EMPLOYEE_ID   CHAR(32),TITLE   CHAR(32),DEPT_NAME   CHAR(32),DEPT_NUMBER   CHAR(32),DIVISION   CHAR(32),WORK_PHONE   CHAR(32),CELLULAR_PHONE   CHAR(32),FAX_NUMBER   CHAR(32),PAGER_NUMBER   CHAR(32),PAGER_TYPE   CHAR(32),EMAIL_ADDRESS   CHAR(128),HOME_PHONE   CHAR(32), CONSTRAINT TWG_SYSTEM_USERQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE HMC_CEC (MANAGED_OBJ_ID   INTEGER NOT NULL,MTMS   CHAR(14) NOT NULL,NAME   CHAR(50),PROC_UNITS_INST   REAL,PROC_UNITS_AVAIL   REAL,MEM_INST   INTEGER, CONSTRAINT HMC_CECQ PRIMARY KEY ( MANAGED_OBJ_ID,   MTMS ) );
CREATE TABLE UMS_UMS (MANAGED_OBJ_ID   INTEGER NOT NULL,Name   CHAR(254),Version   CHAR(254),BuildNumber   CHAR(64),Port   INTEGER,EventsEnabled   INTEGER,TrapDestinationAddress   CHAR(254), CONSTRAINT UMS_UMSQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_PERSONALIZATION (MANAGED_OBJ_ID   INTEGER NOT NULL,PersonalizedLabel1   CHAR(32),PersonalizedData1   CHAR(32),PersonalizedLabel2   CHAR(32),PersonalizedData2   CHAR(32),PersonalizedLabel3   CHAR(32),PersonalizedData3   CHAR(32),PersonalizedLabel4   CHAR(32),PersonalizedData4   CHAR(32),PersonalizedLabel5   CHAR(32),PersonalizedData5   CHAR(32), CONSTRAINT UMS_PERSONALIZATIQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_SNMP_MIB2 (MANAGED_OBJ_ID   INTEGER NOT NULL,SYSDESCR   CHAR(254),SYSOBJECTID   CHAR(254),SYSUPTIME   TIMESTAMP,SYSCONTACT   CHAR(254),SYSNAME   CHAR(254),SYSLOCATION   CHAR(254),SNMP_VERSION   CHAR(1),AUTH_TRAP_ENABLE   CHAR(1),ENGINE_ID   CHAR(64),ENGINE_BOOTS   INTEGER, CONSTRAINT TWG_SNMP_MIB2Q PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_POINTING_DEVICE (MANAGED_OBJ_ID   INTEGER NOT NULL,INTERFACE   CHAR(30),BUTTONS   INTEGER,DOUBLE_CLICK_RATE   INTEGER,HANDEDNESS   CHAR(20),SENSITIVITY   INTEGER, CONSTRAINT TWG_POINTING_DEVIQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_SNMP_USERS (MANAGED_OBJ_ID   INTEGER NOT NULL,USER_INDEX   SMALLINT NOT NULL,SECURITY_NAME   CHAR(254),AUTH_PROTOCOL   CHAR(1),PRIV_PROTOCOL   CHAR(1), CONSTRAINT TWG_SNMP_USERSQ PRIMARY KEY ( MANAGED_OBJ_ID,   USER_INDEX ) );
CREATE TABLE TWG_LOGICAL_MEMORY (MANAGED_OBJ_ID   INTEGER NOT NULL,BASE_MEMORY_KB   INTEGER,EXTENDED_MEMORY_KB   INTEGER, CONSTRAINT TWG_LOGICAL_MEMORQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_INSTALLED_PACKAGES (MANAGED_OBJ_ID   INTEGER NOT NULL,PKG_ID   CHAR(64) NOT NULL,PKG_NAME   CHAR(128) NOT NULL,PKG_VERSION   CHAR(32),PKG_REVISION   CHAR(32),PKG_VENDOR   CHAR(64),PKG_CATEGORY   CHAR(64),PKG_INSTALL_PATH   CHAR(254), CONSTRAINT TWG_INSTALLED_PACQ PRIMARY KEY ( MANAGED_OBJ_ID,   PKG_ID,   PKG_NAME ) );
CREATE TABLE TWG_SNMP_TRAP_DESTINATION (MANAGED_OBJ_ID   INTEGER NOT NULL,TRAP_DEST_INDEX   SMALLINT NOT NULL,PROTOCOL   CHAR(1),ADDRESS   CHAR(254),PORT_OR_SOCKET   INTEGER,NOTIFY_TYPE   CHAR(1),SECURITY_MODEL   CHAR(1),SECURITY_NAME   CHAR(254),AUTHENTICATION   CHAR(1),PRIVACY   CHAR(1),TIMEOUT   INTEGER,RETRY_COUNT   SMALLINT, CONSTRAINT TWG_SNMP_TRAP_DESQ PRIMARY KEY ( MANAGED_OBJ_ID,   TRAP_DEST_INDEX ) );
CREATE TABLE TWG_REGIONAL (MANAGED_OBJ_ID   INTEGER NOT NULL,LOCALE   CHAR(40),SECONDS   INTEGER,PLUSMINUS   CHAR(20),DAYLIGHT   CHAR(20),NAME   CHAR(40),NAMEDAYLIGHT   CHAR(40), CONSTRAINT TWG_REGIONALQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_SYSTEM_RESOURCE (MANAGED_OBJ_ID   INTEGER NOT NULL,RESOURCE_INDEX   INTEGER NOT NULL,RESOURCE_USER   INTEGER,RESOURCE_SET   INTEGER,DESCRIPTION   CHAR(80),RESOURCE_TYPE   CHAR(20),RESOURCE_NUMBER   INTEGER,START_ADDRESS   CHAR(16),END_ADDRESS   CHAR(16), CONSTRAINT TWG_SYSTEM_RESOURQ PRIMARY KEY ( MANAGED_OBJ_ID,   RESOURCE_INDEX ) );
CREATE TABLE TWG_AS400_ASP (MANAGED_OBJ_ID   INTEGER NOT NULL,RESOURCE_INDEX   INTEGER NOT NULL,ASP_NUMBER   INTEGER,NUMBER_DISK_UNITS   INTEGER,CAPACITY_TOTAL   INTEGER,CAPACITY_TOTAL_AVAILABLE   INTEGER,CAPACITY_PROTECTED   INTEGER,CAPACITY_PROTECTED_AVAIL   INTEGER,CAPACITY_UNPROTECTED   INTEGER,CAPACITY_UNPROTECTED_AVAIL   INTEGER,SYSTEM_STORAGE   INTEGER,TYPE   CHAR(100),OVERFLOW_STORAGE   INTEGER,OVERFLOW_RECOVERY   CHAR(150),END_IMMEDIATE_CONTROL   CHAR(32),COMPRESSION_RECOV_POLICY   CHAR(240),COMPRESSED_DISK_UNITS   CHAR(10),NUMBER_MULTIPLE_CONN_DISKS   INTEGER, CONSTRAINT TWG_AS400_ASPQ PRIMARY KEY ( MANAGED_OBJ_ID,   RESOURCE_INDEX ) );
CREATE TABLE MP_VPD (MANAGED_OBJ_ID   INTEGER NOT NULL,NODE   INTEGER NOT NULL,DEVICE_TYPE   CHAR(32) NOT NULL,BUILD_ID   CHAR(32),REVISION   CHAR(32),FILENAME   CHAR(32),RELEASE_DATE   CHAR(32),VPD_TYPE   CHAR(32),UNIQUE_ID   INTEGER NOT NULL, CONSTRAINT MP_VPDQ PRIMARY KEY ( MANAGED_OBJ_ID,   NODE,   DEVICE_TYPE,   UNIQUE_ID ) );
CREATE TABLE UMS_SRENCLOSURES (MANAGED_OBJ_ID   INTEGER NOT NULL,DeviceID   CHAR(64) NOT NULL,ChannelID   CHAR(64) NOT NULL,ControllerID   CHAR(64) NOT NULL,FirmwareLevel   CHAR(64),I_Manufacturer   CHAR(254),I_Model   CHAR(64),I_SerialNumber   CHAR(64), CONSTRAINT UMS_SRENCLOSURESQ PRIMARY KEY ( MANAGED_OBJ_ID,   DeviceID,   ChannelID,   ControllerID ) );
CREATE TABLE TWG_MEM_MODULE (MANAGED_OBJ_ID   INTEGER NOT NULL,MODULE_INDEX   INTEGER NOT NULL,SOCKET_NAME   CHAR(32),BANK_NAME   CHAR(32),MODULE_SIZE   DOUBLE,MODULE_SPEED   DOUBLE,FULL_BIT_WIDTH   INTEGER,DATA_BIT_WIDTH   INTEGER,FORM_FACTOR   CHAR(10),MEMORY_TYPE   CHAR(16),MEMORY_ERROR   CHAR(8), CONSTRAINT TWG_MEM_MODULEQ PRIMARY KEY ( MANAGED_OBJ_ID,   MODULE_INDEX ) );
CREATE TABLE TWG_PHYS_CONTAINER_GLOBAL (MANAGED_OBJ_ID   INTEGER NOT NULL,ASSET_TAG   CHAR(80),MACHINE_MODEL_NAME   CHAR(80),MACHINE_TYPE   CHAR(20),MACHINE_MODEL   CHAR(20),MACHINE_SERIAL   CHAR(40), CONSTRAINT TWG_PHYS_CONTAINEQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_WARRANTY (MANAGED_OBJ_ID   INTEGER NOT NULL,WarrantyDuration   INTEGER,WarrantyEndDate   TIMESTAMP,WarrantyCost   CHAR(20), CONSTRAINT UMS_WARRANTYQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE CHASSIS_MEMBERSHIP (MANAGED_OBJ_ID   INTEGER NOT NULL,CHASSIS_MEMBER_TYPE   CHAR(64),CHASSIS_MEMBER_SLOT   INTEGER,CHASSIS_MANAGED_OBJ_ID   INTEGER NOT NULL, CONSTRAINT CHASSIS_MEMBERSHIQ PRIMARY KEY ( MANAGED_OBJ_ID,   CHASSIS_MANAGED_OBJ_ID ) );
CREATE TABLE TWG_IDE_ADAPTER (MANAGED_OBJ_ID   INTEGER NOT NULL,IDE_INDEX   INTEGER NOT NULL,IDE_BUS_TYPE   CHAR(32),IDE_LOCATION   CHAR(32),DEVICES_CONNECTED   INTEGER, CONSTRAINT TWG_IDE_ADAPTERQ PRIMARY KEY ( MANAGED_OBJ_ID,   IDE_INDEX ) );
CREATE TABLE UMS_SRCONTROLLER (MANAGED_OBJ_ID   INTEGER NOT NULL,DeviceID   CHAR(64) NOT NULL,Model   CHAR(64),Manufacturer   CHAR(64),Slot   INTEGER,BIOSVersion   CHAR(64),FirmwareVersion   CHAR(64),DriverVersion   CHAR(64),StripeSize   INTEGER,InitiatorIDs   CHAR(32),Clustering   INTEGER,CacheBatteryStatus   CHAR(254),VersionMatching   CHAR(64), CONSTRAINT UMS_SRCONTROLLERQ PRIMARY KEY ( MANAGED_OBJ_ID,   DeviceID ) );
CREATE TABLE TWG_SCSI_DEVICE (MANAGED_OBJ_ID   INTEGER NOT NULL,SCSI_ADAPTER_INDEX   INTEGER NOT NULL,SCSI_DEVICE_INDEX   INTEGER NOT NULL,PUN   INTEGER,LUN   INTEGER,DEVICE_TYPE   CHAR(32),DEVICE_SIZE   INTEGER,VENDOR_ID   CHAR(40),PRODUCT_ID   CHAR(40),PRODUCT_REVISION_LEVEL   CHAR(40),VENDOR_STRING   CHAR(254),VENDOR_DATA   CHAR(254),SERIAL_NUMBER   CHAR(40), CONSTRAINT TWG_SCSI_DEVICEQ PRIMARY KEY ( MANAGED_OBJ_ID,   SCSI_ADAPTER_INDEX,   SCSI_DEVICE_INDEX ) );
CREATE TABLE TWG_INSTALLED_PATCHES (MANAGED_OBJ_ID   INTEGER NOT NULL,PATCH_INDEX   INTEGER NOT NULL,PATCH_ID   CHAR(32),STATUS   CHAR(32),SUPERSEDE   CHAR(32),PACKAGE_ID   CHAR(64),DESCRIPTION   CHAR(254),STATUS_DATETIME   CHAR(64), CONSTRAINT TWG_INSTALLED_PATQ PRIMARY KEY ( MANAGED_OBJ_ID,   PATCH_INDEX ) );
CREATE TABLE HMC_CEC_LPAR (MANAGED_OBJ_ID   INTEGER NOT NULL,MTMS   CHAR(14) NOT NULL,LPAR_ID   INTEGER NOT NULL,NAME   CHAR(50),PROCS_CURRENT   INTEGER,MEM_CURRENT   INTEGER, CONSTRAINT HMC_CEC_LPARQ PRIMARY KEY ( MANAGED_OBJ_ID,   MTMS,   LPAR_ID ) );
CREATE TABLE ASF_CFG (MANAGED_OBJ_ID   INTEGER NOT NULL,Name   CHAR(32),DestinationType   INTEGER,AlertDestinationAddress   CHAR(32),MessageFormat   INTEGER,OnlySendsFixedMessage   INTEGER,DestinationIsAckCapable   INTEGER,RetryCount   INTEGER,RetryInterval   INTEGER,ConfigName   CHAR(254),ASFEnabled   INTEGER,HeartBeatsEnabled   INTEGER,PETsEnabled   INTEGER,RMCPEnabled   INTEGER,ASFWoLEnabled   INTEGER,FirmwareVersion   CHAR(128),HeartbeatInterval   INTEGER,SMBusAddress   INTEGER,LegacyPollTimeValue   INTEGER,ASFSourceIP   CHAR(128),ASFSubnetMask   CHAR(128),ASFGateWayIP   CHAR(128),MinPollingInterval   INTEGER,MinWatchdogResetValue   INTEGER,Is_ASF2_Capable   SMALLINT,Are_ASF2_Keys_Deployed   SMALLINT,Is_Remote_Mgmt_Enabled   SMALLINT, CONSTRAINT ASF_CFGQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_KEYBOARD (MANAGED_OBJ_ID   INTEGER NOT NULL,KEYBOARD_TYPE   CHAR(80),CODEPAGE   INTEGER,TYPEMATIC_RATE   INTEGER,TYPEMATIC_DELAY   INTEGER, CONSTRAINT TWG_KEYBOARDQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_CIM (MANAGED_OBJ_ID   INTEGER NOT NULL,VersionCurrentlyRunning   CHAR(254), CONSTRAINT UMS_CIMQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_AOL (MANAGED_OBJ_ID   INTEGER NOT NULL,RetryInterval   INTEGER,EventPollInterval   INTEGER,HeartbeatInterval   INTEGER,Version   CHAR(254),AlertDestinationAddress   CHAR(254),EventAutoClearEnabled   INTEGER,HeartbeatEnabled   INTEGER,Enabled   INTEGER,TimeoutInterval   INTEGER,Enabled9   INTEGER, CONSTRAINT UMS_AOLQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_NATIVE_MO (MANAGED_OBJ_ID   INTEGER NOT NULL,MO_TYPE   CHAR(16),MO_VERSION   CHAR(8),MO_DATE   DATE,MO_UNIQUE_ID   CHAR(16),MO_CODELEVEL   INTEGER,MO_ARCHTYPE   CHAR(64), CONSTRAINT TWG_NATIVE_MOQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_DISK (MANAGED_OBJ_ID   INTEGER NOT NULL,DISK_TYPE   CHAR(32) NOT NULL,DISK_INDEX   INTEGER NOT NULL,DISK_MEDIA_LOADED   CHAR(10),DISK_REMOVABLE_MEDIA   CHAR(10),DISK_CYLINDERS   INTEGER,DISK_SECTORS_PER_TRACK   INTEGER,DISK_TOTAL_SIZE_KB   INTEGER,DISK_HEADS   INTEGER,DISK_MODEL   CHAR(32),DISK_MANUFACTURER   CHAR(32),DISK_SERIAL_NUMBER   CHAR(32),MDISK_DEV_NUM   CHAR(4),DISK_R_TYPE   CHAR(6),MDISK_TYPE   CHAR(30),MDISK_ACCESS   CHAR(4),DISK_VOLUME_LABEL   CHAR(8),MDISK_OWNER   CHAR(8),MDISK_OWNER_DEV_NUM   CHAR(4),DISK_R_DEV_NUM   CHAR(4),MDISK_LINUX_DEV   CHAR(6),MDISK_LINUX_STATE   CHAR(30), CONSTRAINT TWG_DISKQ PRIMARY KEY ( MANAGED_OBJ_ID,   DISK_TYPE,   DISK_INDEX ) );
CREATE TABLE UMS_SNMP (MANAGED_OBJ_ID   INTEGER NOT NULL,EventsEnabled   INTEGER,TrapDestinationAddress   CHAR(254), CONSTRAINT UMS_SNMPQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_SYSTEM_BIOS (MANAGED_OBJ_ID   INTEGER NOT NULL,BIOS_INDEX   INTEGER NOT NULL,BIOS_MANUFACTURER   CHAR(40),BIOS_VERSION   CHAR(128),BIOS_RELEASE_DATE   DATE,BIOS_SM_VERSION   CHAR(20),BIOS_NODE   INTEGER, CONSTRAINT TWG_SYSTEM_BIOSQ PRIMARY KEY ( MANAGED_OBJ_ID,   BIOS_INDEX ) );
CREATE TABLE UMS_SRLOGICALDRIVE (MANAGED_OBJ_ID   INTEGER NOT NULL,LogicalDriveID   CHAR(64) NOT NULL,ControllerID   CHAR(64) NOT NULL,ArrayID   CHAR(64),RAIDLevel   CHAR(32),DataSpace   INTEGER,InstallDate   TIMESTAMP, CONSTRAINT UMS_SRLOGICALDRIVQ PRIMARY KEY ( MANAGED_OBJ_ID,   LogicalDriveID,   ControllerID ) );
CREATE TABLE UMS_CONFIG (MANAGED_OBJ_ID   INTEGER NOT NULL,ConfigOptions   CHAR(254), CONSTRAINT UMS_CONFIGQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_LOGICAL_DRIVE (MANAGED_OBJ_ID   INTEGER NOT NULL,DRIVE_INDEX   INTEGER NOT NULL,DRIVE_TYPE   CHAR(20),DRIVE_NAME   CHAR(64),DRIVE_PATH   CHAR(254),DRIVE_TOTAL_SIZE_KB   INTEGER,DRIVE_FREE_SIZE_KB   INTEGER, CONSTRAINT TWG_LOGICAL_DRIVEQ PRIMARY KEY ( MANAGED_OBJ_ID,   DRIVE_INDEX ) );
CREATE TABLE UMS_SERIALIZATION (MANAGED_OBJ_ID   INTEGER NOT NULL,Tag   CHAR(250) NOT NULL,SerialNumber   CHAR(23),SerialNumberLong   CHAR(254),Manufacturer   CHAR(254),Model   CHAR(254),OtherIdentifyingInfo   CHAR(254), CONSTRAINT UMS_SERIALIZATIONQ PRIMARY KEY ( MANAGED_OBJ_ID,   Tag ) );
CREATE TABLE TWG_INSTALLED_MEMORY (MANAGED_OBJ_ID   INTEGER NOT NULL,PHYSICAL_MEMORY_KB   INTEGER,FREE_VIRTUAL_MEMORY_KB   INTEGER,PAGE_SIZE   INTEGER, CONSTRAINT TWG_INSTALLED_MEMQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_IP_ADDRESS (MANAGED_OBJ_ID   INTEGER NOT NULL,IP_INDEX   INTEGER NOT NULL,IP_ADDRESS   CHAR(16),IP_HOSTNAME   CHAR(254),IP_DOMAIN   CHAR(254),SUBNET_MASK   CHAR(16),NAMESERVER1   CHAR(16),NAMESERVER2   CHAR(16),DEFAULT_GATEWAY   CHAR(16), CONSTRAINT TWG_IP_ADDRESSQ PRIMARY KEY ( MANAGED_OBJ_ID,   IP_INDEX ) );
CREATE TABLE TWG_SOFTWARE (MANAGED_OBJ_ID   INTEGER NOT NULL,PROGRAM_TITLE   CHAR(64) NOT NULL,INSTALL_PATH   CHAR(154) NOT NULL,VERSION_ID   CHAR(16),VENDOR_NAME   CHAR(32) NOT NULL,REVISION   CHAR(32), CONSTRAINT TWG_SOFTWAREQ PRIMARY KEY ( MANAGED_OBJ_ID,   PROGRAM_TITLE,   INSTALL_PATH,   VENDOR_NAME ) );
CREATE TABLE UMS_ASSETID (MANAGED_OBJ_ID   INTEGER NOT NULL,Name   CHAR(254),Model   CHAR(254),ProductName   CHAR(254),LCCMProfile   CHAR(20),LCCMUpdateTime   TIMESTAMP,SerialNumber   CHAR(254),SystemUUID   CHAR(254),AssetNumber   CHAR(32),AssetIdTag   CHAR(254),LastInventoried   TIMESTAMP,PurchaseDate   TIMESTAMP, CONSTRAINT UMS_ASSETIDQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_PARTITION (MANAGED_OBJ_ID   INTEGER NOT NULL,PARTITION_INDEX   INTEGER NOT NULL,PARTITION_NAME   CHAR(32),PARTITION_TOTAL_SIZE_KB   INTEGER,PARTITION_FREE_SIZE_KB   INTEGER,PARTITION_LABEL   CHAR(40),PARTITION_FILESYSTEM   CHAR(32), CONSTRAINT TWG_PARTITIONQ PRIMARY KEY ( MANAGED_OBJ_ID,   PARTITION_INDEX ) );
CREATE TABLE TWG_AS400_HARDWARE (MANAGED_OBJ_ID   INTEGER NOT NULL,RESOURCE_INDEX   INTEGER NOT NULL,RESOURCE_FUNCTION   CHAR(32),RESOURCE_LEVEL   CHAR(32),RESOURCE_NAME   CHAR(10),PREVIOUS_LEVEL_RESOURCE_NAME   CHAR(10),RESOURCE_DESCRIPTION   CHAR(32),RESOURCE_STATUS   CHAR(16),CONFIGURATION_OBJECT_NAME   CHAR(10),PREVIOUS_LEVEL_CONFIGURATION   CHAR(10),RESOURCE_CAPACITY_KB   INTEGER,RESOURCE_FREE_SIZE_KB   INTEGER,RESOURCE_ASP   INTEGER,RESOURCE_TYPE   CHAR(4),RESOURCE_MODEL   CHAR(3),RESOURCE_PART_NUMBER   CHAR(12),RESOURCE_SERIAL_NUMBER   CHAR(10),COUPLED_SYSTEM_NAME   CHAR(8),COUPLED_SYSTEM_TYPE   CHAR(4),COUPLED_SYSTEM_MODEL   CHAR(3),COUPLED_SYSTEM_SERIAL_NUMBER   CHAR(10),PHYSICAL_FRAME_ID   CHAR(20),PHYSICAL_CARD_POSITION   CHAR(10),PHYSICAL_DEVICE_POSITION   CHAR(10),RESOURCE_SYSTEM_BUS   CHAR(8),RESOURCE_SYSTEM_BOARD   CHAR(8),RESOURCE_SYSTEM_CARD   CHAR(8),RESOURCE_STORAGE_IO_BUS   CHAR(8),RESOURCE_STORAGE_ADAPTER   CHAR(8),RESOURCE_STORAGE_CONTROLLER   CHAR(8),RESOURCE_STORAGE_PORT   CHAR(8),RESOURCE_STORAGE_DEVICE   CHAR(8), CONSTRAINT TWG_AS400_HARDWARQ PRIMARY KEY ( MANAGED_OBJ_ID,   RESOURCE_INDEX ) );
CREATE TABLE UMS_FRU (MANAGED_OBJ_ID   INTEGER NOT NULL,Name   CHAR(254),FRUNumber   CHAR(20) NOT NULL,IdentifyingNumber   CHAR(20) NOT NULL,Vendor   CHAR(210) NOT NULL,RevisionLevel   CHAR(20),Description   CHAR(254), CONSTRAINT UMS_FRUQ PRIMARY KEY ( MANAGED_OBJ_ID,   FRUNumber,   IdentifyingNumber,   Vendor ) );
CREATE TABLE TWG_SCSI_ADAPTER (MANAGED_OBJ_ID   INTEGER NOT NULL,SCSI_ADAPTER_INDEX   INTEGER NOT NULL,ADAPTER_TYPE   CHAR(40),LOCATION   CHAR(40),PUN   INTEGER,LUN   INTEGER,BUS_TYPE   CHAR(40),BUS_WIDTH   INTEGER,IO_ACCESS   CHAR(40),HOST_BUS   CHAR(40),HOST_BUS_WIDTH   INTEGER,ADDRESS_OVER_16   CHAR(40),SCB_COMMANDS   CHAR(40),SCATTER_GATHER   CHAR(40),CHS   CHAR(40),MAX_SCATTER_GATHER_LIST   INTEGER,MAX_CDB_LENGTH   INTEGER,ADD_MAJOR_LEVEL   INTEGER,ADD_MINOR_LEVEL   INTEGER,DEVICES_CONNECTED   INTEGER, CONSTRAINT TWG_SCSI_ADAPTERQ PRIMARY KEY ( MANAGED_OBJ_ID,   SCSI_ADAPTER_INDEX ) );
CREATE TABLE UMS_LOCALE (MANAGED_OBJ_ID   INTEGER NOT NULL,Locale   CHAR(254),CountryCode   CHAR(254),OSLanguage   INTEGER,CodeSet   CHAR(254), CONSTRAINT UMS_LOCALEQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE RSA_MP (MANAGED_OBJ_ID   INTEGER NOT NULL,MPNode   INTEGER NOT NULL,MPType   CHAR(128),MPIPAddress   CHAR(64),MPSubnetMask   CHAR(64),MPGatewayIP   CHAR(64),MPHostname   CHAR(128), CONSTRAINT RSA_MPQ PRIMARY KEY ( MANAGED_OBJ_ID,   MPNode ) );
CREATE TABLE TWG_MOTHERBOARD_ID (MANAGED_OBJ_ID   INTEGER NOT NULL,MANUFACTURER   CHAR(40),PRODUCT   CHAR(40),VERSION   CHAR(40),SERIAL_NUMBER   CHAR(40),BASEBOARD_INDEX   INTEGER NOT NULL,BOARD_TYPE   CHAR(40),ASSETTAG   CHAR(40),HOT_SWAPPABLE   CHAR(5),REPLACEABLE   CHAR(5),REMOVABLE   CHAR(5),DAUGHTERBOARD_REQUIRED   CHAR(5),HOSTING_BOARD   CHAR(5), CONSTRAINT TWG_MOTHERBOARD_IQ PRIMARY KEY ( MANAGED_OBJ_ID,   BASEBOARD_INDEX ) );
CREATE TABLE BCCHASSIS_VPD (MANAGED_OBJ_ID   INTEGER NOT NULL,MEMBER_TYPE   CHAR(64) NOT NULL,MEMBER_SLOT   INTEGER NOT NULL,MEMBER_INDEX   INTEGER NOT NULL,MEMBER_UUID   CHAR(64),MEMBER_MACHINE_TYPE_MODEL   CHAR(32),MEMBER_SERIAL_NUMBER   CHAR(32),MEMBER_FRU   CHAR(32),MEMBER_MFG_ID   CHAR(32),MEMBER_PART_NUMBER   CHAR(32),MEMBER_MAC_ADDRESS   CHAR(64),MEMBER_IP_ADDRESS   CHAR(32),MEMBER_VPD_ID   CHAR(32),MEMBER_POS_ID   CHAR(32), CONSTRAINT BCCHASSIS_VPDQ PRIMARY KEY ( MANAGED_OBJ_ID,   MEMBER_TYPE,   MEMBER_SLOT,   MEMBER_INDEX ) );
CREATE TABLE TWG_IDE_DEVICE (MANAGED_OBJ_ID   INTEGER NOT NULL,IDE_ADAPTER_INDEX   INTEGER NOT NULL,IDE_DEVICE_INDEX   INTEGER NOT NULL,DEVICE_SIZE   INTEGER,DEVICE_TYPE   CHAR(32),UNIT_STATUS   CHAR(32),MEDIA_STATUS   CHAR(32),PRODUCT_ID   CHAR(40), CONSTRAINT TWG_IDE_DEVICEQ PRIMARY KEY ( MANAGED_OBJ_ID,   IDE_ADAPTER_INDEX,   IDE_DEVICE_INDEX ) );
CREATE TABLE TWG_FIBRE_ADAPTER (MANAGED_OBJ_ID   INTEGER NOT NULL,Model   CHAR(64),Manufacturer   CHAR(64),FirmwareVersion   CHAR(64),DriverVersion   CHAR(64),IOAddress   CHAR(16),NodeWWN   CHAR(16),PortWWN   CHAR(16) NOT NULL,BootStatus   CHAR(1),BootWWN   CHAR(16),BootLUN   INTEGER,BiosStatus   CHAR(1),FabricName   CHAR(16), CONSTRAINT TWG_FIBRE_ADAPTERQ PRIMARY KEY ( MANAGED_OBJ_ID,   PortWWN ) );
CREATE TABLE TWG_VIDEO (MANAGED_OBJ_ID   INTEGER NOT NULL,VIDEO_INDEX   INTEGER NOT NULL,VIDEO_TYPE   CHAR(40),VIDEO_ADAPTER   CHAR(40),VIDEO_MEMORY_KB   INTEGER,COLORS   INTEGER,HORIZONTAL_RES   INTEGER,VERTICAL_RES   INTEGER,VIDEO_BIOS_VERSION   CHAR(64),VIDEO_BIOS_DATE   CHAR(32),VIDEO_CHIP_TYPE   CHAR(64),VIDEO_DAC_TYPE   CHAR(64), CONSTRAINT TWG_VIDEOQ PRIMARY KEY ( MANAGED_OBJ_ID,   VIDEO_INDEX ) );
CREATE TABLE TWG_PARALLEL_PORT (MANAGED_OBJ_ID   INTEGER NOT NULL,PORT_INDEX   INTEGER NOT NULL,BASE_IO_ADDRESS   INTEGER,LOGICAL_NAME   CHAR(32), CONSTRAINT TWG_PARALLEL_PORTQ PRIMARY KEY ( MANAGED_OBJ_ID,   PORT_INDEX ) );
CREATE TABLE TWG_IPX_ADDRESS (MANAGED_OBJ_ID   INTEGER NOT NULL,IPX_INDEX   INTEGER NOT NULL,IPX_ADDRESS   CHAR(32), CONSTRAINT TWG_IPX_ADDRESSQ PRIMARY KEY ( MANAGED_OBJ_ID,   IPX_INDEX ) );
CREATE TABLE TWG_NETWORK_ADAPTER (MANAGED_OBJ_ID   INTEGER NOT NULL,ADAPTER_INDEX   INTEGER NOT NULL,ADAPTER_TYPE   CHAR(20),MAC_ADDRESS   CHAR(12),CANONICAL_ADDRESS   CHAR(12),DESCRIPTION   CHAR(80),R_DEV_NUM   CHAR(4),V_DEV_NUM   CHAR(4),DEV_RANGE   INTEGER,MFS   INTEGER,PORTNAME   CHAR(8),LAN_NAME   CHAR(8),LAN_OWNER   CHAR(8), CONSTRAINT TWG_NETWORK_ADAPTQ PRIMARY KEY ( MANAGED_OBJ_ID,   ADAPTER_INDEX ) );
CREATE TABLE TWG_UNIX_PARAMS (MANAGED_OBJ_ID   INTEGER NOT NULL,BOOTTIME   TIMESTAMP,UPTIME   INTEGER,RUNLEVEL   INTEGER,HOSTNAME   CHAR(254), CONSTRAINT TWG_UNIX_PARAMSQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_DEV_DRIVER (MANAGED_OBJ_ID   INTEGER NOT NULL,DRIVER_ID   CHAR(16) NOT NULL,DRIVER_NAME   CHAR(64),VENDOR_NAME   CHAR(32),FILE_NAME   CHAR(128),VERSION   CHAR(16),FILE_SIZE   INTEGER,FILE_DATE   DATE,DRIVER_TYPE   CHAR(8),DRIVER_START   CHAR(8),DRIVER_STATUS   CHAR(8),DRIVER_RELATIVEFILENAME   VARCHAR(100),INSTALL_MODULE   CHAR(64), CONSTRAINT TWG_DEV_DRIVERQ PRIMARY KEY ( MANAGED_OBJ_ID,   DRIVER_ID ) );
CREATE TABLE TWG_COMPONENT_ID (MANAGED_OBJ_ID   INTEGER NOT NULL,MANUFACTURER   CHAR(40),PRODUCT   CHAR(40),VERSION   CHAR(40),SERIAL_NUMBER   CHAR(40),UUID   CHAR(40),MULTINODE   CHAR(1), CONSTRAINT TWG_COMPONENT_IDQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_SYSTEM_LOCATION (MANAGED_OBJ_ID   INTEGER NOT NULL,CITY   CHAR(32),STATE   CHAR(32),ZIPCODE   CHAR(16),COUNTRY   CHAR(32),ROOM_NUMBER   CHAR(32),BUILDING   CHAR(32),FLOOR   CHAR(32),LATITUDE   CHAR(32),LONGITUDE   CHAR(32),USER_DATA1   CHAR(254),USER_DATA2   CHAR(254), CONSTRAINT TWG_SYSTEM_LOCATIQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE SMIS_REM_ACCESS (MANAGED_OBJ_ID   INTEGER NOT NULL,AccessName   VARCHAR(254) NOT NULL,AccessInfo   VARCHAR(254) NOT NULL,CreationClassName   VARCHAR(254),EndPoint   VARCHAR(254) NOT NULL, CONSTRAINT SMIS_REM_ACCESSQ PRIMARY KEY ( MANAGED_OBJ_ID,   AccessName,   EndPoint,   AccessInfo ) );
CREATE TABLE UMS_PORTS (MANAGED_OBJ_ID   INTEGER NOT NULL,ExternalReferenceDesignator   CHAR(254),ConnectorType   CHAR(254),PortType   CHAR(254),Tag   CHAR(250) NOT NULL, CONSTRAINT UMS_PORTSQ PRIMARY KEY ( MANAGED_OBJ_ID,   Tag ) );
CREATE TABLE TWG_ONBOARD_DEV (MANAGED_OBJ_ID   INTEGER NOT NULL,DEVICE_INDEX   INTEGER NOT NULL,DEVICE_TYPE   CHAR(20),DEVICE_STATUS   CHAR(20),DESCRIPTION   CHAR(80), CONSTRAINT TWG_ONBOARD_DEVQ PRIMARY KEY ( MANAGED_OBJ_ID,   DEVICE_INDEX ) );
CREATE TABLE TWG_PRINTER (MANAGED_OBJ_ID   INTEGER NOT NULL,PRINTER_INDEX   INTEGER NOT NULL,PORT   CHAR(40),QUEUE   CHAR(40),DRIVER   CHAR(40),MODEL   CHAR(40), CONSTRAINT TWG_PRINTERQ PRIMARY KEY ( MANAGED_OBJ_ID,   PRINTER_INDEX ) );
CREATE TABLE UMS_SRDISKDRIVES (MANAGED_OBJ_ID   INTEGER NOT NULL,DeviceID   CHAR(64) NOT NULL,ChannelID   CHAR(64) NOT NULL,ControllerID   CHAR(64) NOT NULL,Firmware   CHAR(64),I_Capacity   INTEGER,I_Manufacturer   CHAR(254),I_Model   CHAR(64),I_FRU   CHAR(254),I_SerialNumber   CHAR(64), CONSTRAINT UMS_SRDISKDRIVESQ PRIMARY KEY ( MANAGED_OBJ_ID,   DeviceID,   ChannelID,   ControllerID ) );
CREATE TABLE TWG_SERIAL_PORT (MANAGED_OBJ_ID   INTEGER NOT NULL,PORT_INDEX   INTEGER NOT NULL,BASE_IO_ADDRESS   INTEGER,LOGICAL_NAME   CHAR(32), CONSTRAINT TWG_SERIAL_PORTQ PRIMARY KEY ( MANAGED_OBJ_ID,   PORT_INDEX ) );
CREATE TABLE TWG_MANAGED_OBJECT (MANAGED_OBJ_ID   INTEGER NOT NULL,LABEL   CHAR(64),DATE_CREATED   TIMESTAMP,FIRST_ATTEMPT   TIMESTAMP,LAST_ATTEMPT   TIMESTAMP,LAST_UPDATE   TIMESTAMP,STATE   CHAR(16),LAST_STAT_UPDT   TIMESTAMP, CONSTRAINT TWG_MANAGED_OBJECQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_PROCESSOR (MANAGED_OBJ_ID   INTEGER NOT NULL,PROCESSOR_INDEX   INTEGER NOT NULL,PROCESSOR_TYPE   CHAR(32),FAMILY   CHAR(32),VERSION   CHAR(80),MAXIMUM_SPEED   INTEGER,CURRENT_SPEED   INTEGER,INTERNAL_CACHE   CHAR(20),EXTERNAL_CACHE   CHAR(20),PROCESSOR_SERIAL   CHAR(40),VIRT_ADDRESS   CHAR(2),VIRT_CPUID   CHAR(6),BASE_CPU   CHAR(10),DEDICATED   CHAR(10), CONSTRAINT TWG_PROCESSORQ PRIMARY KEY ( MANAGED_OBJ_ID,   PROCESSOR_INDEX ) );
CREATE TABLE UMS_USER (MANAGED_OBJ_ID   INTEGER NOT NULL,PrimaryOwnerName   CHAR(64),PrimaryOwnerPhone   CHAR(20),PrimaryOwnerDepartment   CHAR(64),PrimaryOwnerPosition   CHAR(64),SystemLocation   CHAR(64), CONSTRAINT UMS_USERQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE TWG_OPERATING_SYSTEM (MANAGED_OBJ_ID   INTEGER NOT NULL,OP_SYS_INDEX   INTEGER NOT NULL,OP_SYS_NAME   CHAR(64),OP_SYS_TYPE   CHAR(64),OP_SYS_VERSION   CHAR(64),OP_SYS_PRIMARY   CHAR(20),OP_SYS_REVISION   CHAR(32),OP_SYS_PRODUCT_ID   CHAR(32),OP_SYS_MAJ_VER   INTEGER,OP_SYS_MIN_VER   INTEGER,OP_SYS_INS_DATE   DATE,OP_SYS_REG_ORG   CHAR(64),OP_SYS_REG_OWN   CHAR(64),OP_SYS_VARIANT   CHAR(8),OP_SYS_DISTRO_VER   CHAR(32),OP_SYS_DISTRO_ARCH   CHAR(32), CONSTRAINT TWG_OPERATING_SYSQ PRIMARY KEY ( MANAGED_OBJ_ID,   OP_SYS_INDEX ) );
CREATE TABLE CHASSIS_MEMBERS (MANAGED_OBJ_ID   INTEGER NOT NULL,CHASSIS_TYPE   CHAR(64),CHASSIS_MEMBER_TYPE   CHAR(64) NOT NULL,CHASSIS_MEMBER_SLOT   INTEGER NOT NULL,CHASSIS_MEMBER_INDEX   INTEGER NOT NULL,CHASSIS_MEMBER_PRESENT   CHAR(64),CHASSIS_MEMBER_SIZE   INTEGER,CHASSIS_MEMBER_NAME   CHAR(64),MEMBER_MANAGED_OBJ_ID   INTEGER, CONSTRAINT CHASSIS_MEMBERSQ PRIMARY KEY ( MANAGED_OBJ_ID,   CHASSIS_MEMBER_TYPE,   CHASSIS_MEMBER_SLOT,   CHASSIS_MEMBER_INDEX ) );
CREATE TABLE TWG_SAS_ADAPTER (MANAGED_OBJ_ID   INTEGER NOT NULL,PortWWN   CHAR(16) NOT NULL, CONSTRAINT TWG_SAS_ADAPTERQ PRIMARY KEY ( MANAGED_OBJ_ID,   PortWWN ) );
CREATE TABLE TWG_PCI_DEVICE (MANAGED_OBJ_ID   INTEGER NOT NULL,PCI_BUS_NUMBER   INTEGER NOT NULL,PCI_SLOT_NUMBER   INTEGER NOT NULL,PCI_DEVICE_NUMBER   INTEGER NOT NULL,MANUFACTURER   CHAR(40),PCI_TYPE   CHAR(40),CLASS_CODE   INTEGER,VENDOR_ID   INTEGER,DEVICE_ID   INTEGER,REVISION_ID   INTEGER,CACHE_LINE_SIZE   INTEGER,LATENCY_TIMER   INTEGER,MIN_GNT   INTEGER,MAX_LAT   INTEGER,INTERRUPT_LINE   INTEGER,INTERRUPT_PIN   INTEGER,ROM_BASE_ADDRESS   INTEGER,HEADER_TYPE   INTEGER,BIST   INTEGER,COMMAND_REGISTER   INTEGER,STATUS_REGISTER   INTEGER,SUBSYSTEMID   INTEGER,SUBVENDORID   INTEGER, CONSTRAINT TWG_PCI_DEVICEQ PRIMARY KEY ( MANAGED_OBJ_ID,   PCI_BUS_NUMBER,   PCI_SLOT_NUMBER,   PCI_DEVICE_NUMBER ) );
CREATE TABLE TWG_WINDOWS_NETWORK_ID (MANAGED_OBJ_ID   INTEGER NOT NULL,COMPUTER_NAME   CHAR(16),USERNAME   CHAR(16),DOMAIN   CHAR(16),WORKGROUP   CHAR(16),REG_OWNER   CHAR(80),REG_ORGANIZATION   CHAR(80),REG_PRODUCT_ID   CHAR(40), CONSTRAINT TWG_WINDOWS_NETWOQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_SLOT (MANAGED_OBJ_ID   INTEGER NOT NULL,ConnectorType   CHAR(254),MaxDataWidth   CHAR(254),SupportsHotPlug   INTEGER,CurrentUsage   CHAR(254),SlotDesignation   CHAR(254),Shared   INTEGER,PMESignal   INTEGER,Tag   CHAR(250) NOT NULL, CONSTRAINT UMS_SLOTQ PRIMARY KEY ( MANAGED_OBJ_ID,   Tag ) );
CREATE TABLE UMS_LEASE (MANAGED_OBJ_ID   INTEGER NOT NULL,Lessor   CHAR(64),LeaseStartDate   TIMESTAMP,LeaseEndDate   TIMESTAMP,LeaseTerm   INTEGER,LeasePayment   CHAR(20), CONSTRAINT UMS_LEASEQ PRIMARY KEY ( MANAGED_OBJ_ID ) );
CREATE TABLE UMS_CACHE (MANAGED_OBJ_ID   INTEGER NOT NULL,level_   CHAR(254),InstalledSize   INTEGER,WritePolicy   CHAR(254),DeviceID   CHAR(250) NOT NULL,Location   CHAR(254), CONSTRAINT UMS_CACHEQ PRIMARY KEY ( MANAGED_OBJ_ID,   DeviceID ) );
CREATE TABLE TPCINTERNALIDMAP ( TID INTEGER NOT NULL, OID BIGINT, OIDCACHED SMALLINT, PRIKEY VARCHAR(254), RCSTYPE VARCHAR(254), CONSTRAINT TPCINTERNALIDMAPQ PRIMARY KEY ( TID ));
